Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Package size mismatch in Stockfish overlay
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
Logicien
l33t
l33t


Joined: 16 Sep 2005
Posts: 743
Location: Montréal

PostPosted: Fri Dec 30, 2011 3:37 am    Post subject: Package size mismatch in Stockfish overlay Reply with quote

I installed layman and add the Sabayon overlay. Trying to install Stockfisk, emerge tell me that there a mismatch when it try to validate the size of /usr/portage/distfiles/stockfish-2.1.1.zip. This is the full path to the only ebuild available: /var/lib/layman/sabayon/games-board/stockfish/stockfish-2.1.1.ebuild. Can I install Stockfish using a Gentoo package manager? I would prefer that to the manual method.
_________________
Paul
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2503
Location: Richmond, BC, Canada

PostPosted: Fri Dec 30, 2011 6:01 am    Post subject: Reply with quote

What you should do is verify that the sources you have are actually correct. If they are not, the package manager is doing it's job, telling you it does not match.
If the sources are correct and the manifest value is wrong, then it can be corrected so the package manager will install it.

Code:
ebuild path/to/ebuild/pkg-ver.ebuild manifest

_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
Logicien
l33t
l33t


Joined: 16 Sep 2005
Posts: 743
Location: Montréal

PostPosted: Sat Dec 31, 2011 10:33 pm    Post subject: Reply with quote

Thank-you for your answer dol-sen.

I haven't try to modify the Sabayon overlay Stockfish ebuild. Instead, I add the hawking overlay to be able to install Polyglot: 'UCI adapter to connect a UCI chess engine to an xboard interface'. I compiled the Stockfish source code to get it engine. It is a good workaround. I can update the source code from git and not wait the ebuild of the latest version.

It is not easy to use Xboard with polyglot and a chess engine. First, I set the CHESSDIR='~/.xboard' environment variable for the Polyglot ini files. The command line I use is
Code:
xboard -autoDisplayComment false -autoDisplayTags false -blackPieceColor darkred -clockFont -misc-fixed-bold-r-normal--13-120-75-75-c-80-iso8859-15 -fcp 'polyglot polyglot_1st.ini' -font -misc-fixed-bold-r-normal--13-120-75-75-c-80-iso8859-15 -size Bulky -scp 'polyglot polyglot_2nd.ini' -tc 5 -whitePieceColor lightyellow
'
The contain of polyglot_1st.ini andpolyglot_2nd.ini is
Code:
[Polyglot]
EngineDir = .
EngineCommand = stockfish
Book = true
BookFile = book.bin
[Engine]
Hash = 128
Limit = 12
OwnBook = false
Threads = 2

Because Stockfish is one of the best chess engine in the world licensed GPL-3, it deserve attention !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum